Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1436035

Summary: openvpn-{client,server}@.service does not allow the OpenVPN --nice option
Product: [Fedora] Fedora Reporter: David Sommerseth <dazo>
Component: openvpnAssignee: David Sommerseth <dazo>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: alekcejk, dazo, extras-qa, huzaifas, mauricio.teixeira, mteixeira, scott-fedora, steve, upstream-release-monitoring
Target Milestone: ---Keywords: FutureFeature, Reopened, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1435831 Environment:
Last Closed: 2022-01-27 22:00:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description David Sommerseth 2017-03-26 23:06:58 UTC
+++ This bug was initially created as a clone of Bug #1435831 +++
+++ This bug was initially created as a clone of Bug #1435036 +++

--- Additional comment from nucleo on 2017-03-26 18:50:35 EDT ---

I already switched to new units, so now can't test old unit.
New units works fine except nice option which requires missing CAP_SYS_NICE in CapabilityBoundingSet.

--- Additional comment from David Sommerseth on 2017-03-26 18:56:24 EDT ---

(In reply to nucleo from comment #5)
> I already switched to new units, so now can't test old unit.
> New units works fine except nice option which requires missing CAP_SYS_NICE
> in CapabilityBoundingSet.

Great feedback!  I will ensure CAP_SYS_NICE gets included upstream and added to Fedora repos in the meantime.


Tracking the CAP_SYS_NICE issue inthe upstream tracker here:
http://community.openvpn.net/openvpn/ticket/864.

Comment 1 Fedora End Of Life 2018-05-03 08:39:29 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 David Sommerseth 2022-01-27 22:00:38 UTC
I've tested this quickly on RHEL-8, where --nice in a server configuration worked just as expected.  Closing this as NOTABUG.

If this is still an important feature and still a real issue, please feel free to reopen.